Name: elilo
Summary: ELILO linux boot loader for EFI-based systems
Group: System Environment/Base
Obsoletes: eli
Version: 3.6
Release: 9
License: GPL
URL: http://elilo.sourceforge.net

Source: http://downloads.sf.net/%{name}/%{name}-%{version}.src.tgz
Source1: fpswa.tar.gz
Patch0: %{name}-3.6-makefile.patch

BuildRequires: gnu-efi >= 3.0d-2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: ia64 i386
Requires: efibootmgr

Obsoletes: elilo <= 3.6-5
Conflicts: elilo <= 3.6-5

%description
ELILO is a linux boot loader for EFI-based systems, such as IA-64.


%prep
%setup -q -a 1 -n elilo
%patch0 -p0

%build
# Can't build with ${?_smp_mflags}
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/boot/efi/EFI/{redhat,Intel\ Firmware}
install -m 755 elilo.efi %{buildroot}/boot/efi/EFI/redhat/elilo.efi
install -m 755 fpswa.efi %{buildroot}/boot/efi/EFI/Intel\ Firmware/fpswa.efi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/* README.* LIMITATIONS ChangeLog
/boot/efi

%changelog
* Tue Mar 04 2008 Chris Lumens <clumens@redhat.com> 3.6-9
- Add a Requires: efibootmgr (#435753).
- Fix the build (#434034).

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.6-8
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Peter Jones <pjones@redhat.com> - 3.6-7
- Rebuild to work on i386.

* Thu Jan 10 2008 Chris Lumens <clumens@redhat.com> 3.6-6
- Remove efibootmgr, which is now in its own package (Matt Domsch).

* Tue Nov 12 2007 Matt Domsch <Matt_Domsch@dell.com> 3.6-5
- provide efibootmgr in preparation for split

* Thu Oct 25 2007 Chris Lumens <clumens@redhat.com> 3.6-4
- Add a requirement on libz and a patch to link it in (#351701).

* Mon Jun 11 2007 Chris Lumens <clumens@redhat.com> 3.6-3
- Cleanups from package review (#225724).

* Wed Jul 12 2006 Chris Lumens <clumens@redhat.com> 3.6-2
- Patch to fix kernel header changes.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.6-1.2
- rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.6-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 25 2006 Paul Nasrat <pnasrat@redhat.com>
- Update elilo and efibootmgr

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Sep 28 2005 Jeremy Katz <katzj@redhat.com> - 3.4-12
- add efibootmgr man page (#169479)
- update efibootmgr to current upstream (0.5.2)

* Thu Mar  3 2005 Jeremy Katz <katzj@redhat.com> - 3.4-11
- rebuild with gcc4

* Wed Sep 22 2004 Jeremy Katz <katzj@redhat.com> - 3.4-10
- add patch from Jesse Barnes to make warnings less verbose (#130784)

* Tue Sep 21 2004 Jeremy Katz <katzj@redhat.com> - 3.4-9
- rebuild

* Wed Sep 15 2004 Jeremy Katz <katzj@redhat.com> - 3.4-8
- add patch from Jesse Barnes for a crash when run from the bootmgr (#132600)

* Tue Aug 10 2004 Jeremy Katz <katzj@redhat.com> - 3.4-7
- add patch from Jesse Barnes to fix handling of initrd size (#129056)
- update to efibootmgr-0.5.0-test4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 3.4-6
- rebuilt

* Mon May 10 2004 Jeremy Katz <katzj@redhat.com> - 3.4-5
- update efibootmgr to 0.5.0-test3 adding sysfs support (#122566)

* Wed Apr 21 2004 Jeremy Katz <katzj@redhat.com> - 3.4-4
- rebuild against really fixed gnu-efi

* Tue Apr 20 2004 Bill Nottingham <notting@redhat.com> 3.4-3
- rebuild against fixed gnu-efi (#120080)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Nov  4 2003 Bill Nottingham <notting@redhat.com> 3.4-1.3
- update fpswa (#106531, #108805)

* Thu Aug 21 2003 Bill Nottingham <notting@redhat.com> 3.4-1
- update elilo to 3.4

* Mon Aug 11 2003 Bill Nottingham <notting@redhat.com> 3.3a-3
- update efibootmgr to 0.4.2-test2, adds O_DIRECT, fixes #98294

* Thu Nov 14 2002 Bill Nottingham <notting@redhat.com> 3.3a-1
- update to 3.3a
- add in fpwsa firmware

* Fri Oct  4 2002 Jeremy Katz <katzj@redhat.com> 3.2-6
- rebuild in new environment

* Tue Aug 13 2002 Bill Nottingham <notting@redhat.com> 3.2-5
- /boot/efi/EFI/redhat

* Wed Jul 24 2002 Bill Nottingham <notting@redhat.com> 3.2-4
- fix CWD munging on some firmwares

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 3.2-3
- move to /boot/efi/redhat
- add fixes from 3.3pre

* Thu May 23 2002 Bill Nottingham <notting@redhat.com> 3.2-1
- update elilo to 3.2
- update efibootmgr to 0.4.0

* Wed Dec 12 2001 Bill Nottingham <notting@redhat.com>
- don't call blkio->Reset() - some things *really* don't like that (#55791)

* Mon Oct  8 2001 Bill Nottingham <notting@redhat.com>
- update to 3.1

* Fri Aug 10 2001 Bill Nottingham <notting@redhat.com>
- update efibootmgr to *final* 0.3.4

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- add Stephane's elilo bugfix patches
- update efibootmgr to 0.3.4

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- update to 3.0, split into its own package

* Tue Jun  5 2001 Bill Nottingham <notting@redhat.com>
- add fix for invocations from the boot manager menu (#42222)

* Tue May 22 2001 Bill Nottingham <notting@redhat.com>
- add bugfix for efibootmgr (<schwab@suse.de>)

* Mon May 21 2001 Bill Nottingham <notting@redhat.com>
- update to 2.5
- add in efibootmgr from Dell (<Matt_Domsch@dell.com>)

* Thu May  3 2001 Bill Nottingham <notting@redhat.com>
- fix booting of kernels with extra arguments (#37711)

* Wed Apr 25 2001 Bill Nottingham <notting@redhat.com>
- take out Stephane's initrd patch

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- fix the verbosity patch to not break passing arguments to images

* Wed Apr 18 2001 Bill Nottingham <notting@redhat.com>
- update to 2.0, build elilo, obsolete eli

* Tue Dec  5 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- add patch for new toolchain, update to 1.0

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9
